# uiConcatTree

Concatenation of trees

## Calling Sequence

    concatenatedTree = uiConcatTree(tree1, tree2)

## Input parameters

tree1, tree2

  are of type uitree

## Output parameters

concatenatedTree

  an uitree, which is the concatenation of tree1 and tree2

## Description

Concatenation will return a tree which is the concatenation of the first tree with the second one. The concatenation will took place at the parent level of the first tree.

## Examples

    // We should create nodes(subTrees) before creating trees
    leaf11 = uiCreateNode('leaf 1.1', 'iconLeaf1.1', 'callbackLeaf1.1')
    leaf12 = uiCreateNode('leaf 1.2', 'iconLeaf1.2', 'callbackLeaf1.2')
    leaf21 = uiCreateNode('leaf 2.1', 'iconLeaf2.1', 'callbackLeaf2.1')
    leaf22 = uiCreateNode('leaf 2.2', 'iconLeaf2.2', 'callbackLeaf2.2')
    node1 = uiCreateNode('Node 1', 'iconNode1', 'callbackNode1')
    node2 = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')
    root = uiCreateNode('Root', 'iconRoot', 'callbackRoot')

    myTree1 = uiCreateTree(node1, leaf11, leaf12)
    myTree2 = uiCreateTree(node2, leaf21, leaf22)

    concatTree = uiConcatTree(myTree1, myTree2)

    uiDisplayTree(concatTree)

## See Also

- uiCreateNode
- uiCreateTree
- uiDisplayTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiEqualsTree
- uiFindNode
- uiGetParentNode
- uiGetChildrenNode
- uiGetNodePosition